Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2717853002: DevTools: iterate on object preview style (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 4 weeks ago by luoe
Modified:
5 days, 14 hours ago
Reviewers:
dgozman, pfeldman
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools: iterate on object preview style This CL changes the following: - Regexes, errors, entries do not need a value preview - Adds a comma before the last ellipsis at the end of an overflowing preview Screenshot: http://imgur.com/a/emsR8 BUG=405845 Review-Url: https://codereview.chromium.org/2717853002 Cr-Commit-Position: refs/heads/master@{#473063} Committed: https://chromium.googlesource.com/chromium/src/+/636de3e97a000f91960ee9382c010d9a7e7e17d4

Patch Set 1 #

Patch Set 2 : unhide experiment and fix ellipsis #

Total comments: 1

Patch Set 3 : a #

Patch Set 4 : rebase #

Patch Set 5 : undo the change on expand change #

Patch Set 6 : rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+121 lines, -117 lines) Patch
M third_party/WebKit/LayoutTests/inspector/console/console-dir-es6-expected.txt View 1 2 3 4 7 chunks +11 lines, -11 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-format-array-prototype-expected.txt View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-format-es6-2-expected.txt View 1 2 3 4 16 chunks +28 lines, -28 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-format-es6-expected.txt View 1 2 3 10 chunks +33 lines, -33 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-format-expected.txt View 1 2 3 12 chunks +28 lines, -28 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-format-perfomance-expected.txt View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-object-preview-expected.txt View 1 2 3 4 5 5 chunks +9 lines, -9 lines 0 comments Download
M third_party/WebKit/LayoutTests/inspector/sources/debugger-ui/debugger-expand-scope-expected.txt View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/sources/debugger/debugger-es6-harmony-scopes-expected.txt View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/object_ui/RemoteObjectPreviewFormatter.js View 1 2 2 chunks +7 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 36 (26 generated)
luoe
Please take a look https://codereview.chromium.org/2717853002/diff/20001/third_party/WebKit/Source/devtools/front_end/object_ui/RemoteObjectPreviewFormatter.js File third_party/WebKit/Source/devtools/front_end/object_ui/RemoteObjectPreviewFormatter.js (right): https://codereview.chromium.org/2717853002/diff/20001/third_party/WebKit/Source/devtools/front_end/object_ui/RemoteObjectPreviewFormatter.js#newcode30 third_party/WebKit/Source/devtools/front_end/object_ui/RemoteObjectPreviewFormatter.js:30: preview.subtype === 'regexp' || (previewExperimentEnabled ...
2 months, 3 weeks ago (2017-02-28 22:35:51 UTC) #5
luoe
Even more minor updates in this latest patch. Please see the screenshot in the description ...
1 week, 1 day ago (2017-05-16 17:40:49 UTC) #8
dgozman
lgtm
1 week ago (2017-05-16 18:32:12 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2717853002/80001
1 week ago (2017-05-16 18:55:45 UTC) #16
pfeldman
- Value previews will no longer change when expanded we decided that this should not ...
1 week ago (2017-05-16 20:26:33 UTC) #18
luoe
On 2017/05/16 20:26:33, pfeldman wrote: > - Value previews will no longer change when expanded ...
5 days, 20 hours ago (2017-05-18 21:49:19 UTC) #22
luoe
On 2017/05/18 21:49:19, luoe wrote: > On 2017/05/16 20:26:33, pfeldman wrote: > > - Value ...
5 days, 18 hours ago (2017-05-18 23:08:23 UTC) #27
pfeldman
lgtm
5 days, 18 hours ago (2017-05-18 23:23:39 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2717853002/120001
5 days, 17 hours ago (2017-05-18 23:54:04 UTC) #33
commit-bot: I haz the power
5 days, 14 hours ago (2017-05-19 03:42:59 UTC) #36
Message was sent while issue was closed.
Committed patchset #6 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/636de3e97a000f91960ee9382c01...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06